%define oname   flexmock

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 3
Summary:    Simple and Flexible Mock Objects for Testing
Group:      Development/Ruby
License:    MIT
URL:        http://flexmock.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
FlexMock is a extremely simple mock object class compatible
with the Test::Unit framework.  Although the FlexMock's
interface is simple, it is very flexible.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/doc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install
# fix shebang
find %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
  -type f -exec sed -i -e "/^#!/d" {} \; -exec chmod -x {} \;


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 395960
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 380879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 313003
- new version 1.1.0

* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.0-1.mga1
+ Revision: 87113
- new version 0.9.0

* Tue Jan 25 2011 shikamaru <shikamaru> 0.8.11-3.mga1
+ Revision: 39587
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 0.8.11-2.mga1
+ Revision: 35599
- imported package ruby-flexmock

